package cn.com.poc.human_resources.convert;	

import cn.com.poc.human_resources.model.HumanResourceResumeNaturalLanguageRetrievalLogModel;
import cn.com.poc.human_resources.entity.HumanResourceResumeNaturalLanguageRetrievalLogEntity;
import cn.com.poc.human_resources.dto.HumanResourceResumeNaturalLanguageRetrievalLogDto;


public class HumanResourceResumeNaturalLanguageRetrievalLogConvert {

    public static HumanResourceResumeNaturalLanguageRetrievalLogEntity modelToEntity(HumanResourceResumeNaturalLanguageRetrievalLogModel model){
        HumanResourceResumeNaturalLanguageRetrievalLogEntity entity = new HumanResourceResumeNaturalLanguageRetrievalLogEntity();
        entity.setId(model.getId());
        entity.setPostionId(model.getPostionId());
        entity.setPositionContent(model.getPositionContent());
        entity.setResumeIds(model.getResumeIds());
        entity.setRetrievalContent(model.getRetrievalContent());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static HumanResourceResumeNaturalLanguageRetrievalLogModel entityToModel(HumanResourceResumeNaturalLanguageRetrievalLogEntity entity){
        HumanResourceResumeNaturalLanguageRetrievalLogModel model = new HumanResourceResumeNaturalLanguageRetrievalLogModel();
        model.setId(entity.getId());
        model.setPostionId(entity.getPostionId());
        model.setPositionContent(entity.getPositionContent());
        model.setResumeIds(entity.getResumeIds());
        model.setRetrievalContent(entity.getRetrievalContent());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static HumanResourceResumeNaturalLanguageRetrievalLogDto entityToDto(HumanResourceResumeNaturalLanguageRetrievalLogEntity entity){
        HumanResourceResumeNaturalLanguageRetrievalLogDto dto = new HumanResourceResumeNaturalLanguageRetrievalLogDto();
        dto.setId(entity.getId());
        dto.setPostionId(entity.getPostionId());
        dto.setPositionContent(entity.getPositionContent());
        dto.setResumeIds(entity.getResumeIds());
        dto.setRetrievalContent(entity.getRetrievalContent());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static HumanResourceResumeNaturalLanguageRetrievalLogEntity dtoToEntity(HumanResourceResumeNaturalLanguageRetrievalLogDto dto){
        HumanResourceResumeNaturalLanguageRetrievalLogEntity entity = new HumanResourceResumeNaturalLanguageRetrievalLogEntity();
        entity.setId(dto.getId());
        entity.setPostionId(dto.getPostionId());
        entity.setPositionContent(dto.getPositionContent());
        entity.setResumeIds(dto.getResumeIds());
        entity.setRetrievalContent(dto.getRetrievalContent());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}